Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class Report.InnerQuestionFreeText

    java.lang.Object
      net.sourceforge.jsurveyor.Report.InnerQuestionFreeText

Enclosing class:
  Report

public class Report.InnerQuestionFreeText
extends java.lang.Object

Constructor Summary
`Report.InnerQuestionFreeText()` The default constructor for InnerQuestionFreeText
`Report.InnerQuestionFreeText(java.lang.String innerQuestionText, int questionID)` The Constructor creates an instance of InnerQuestionFreeText

Method Summary
`void` | `addInnerAnswersFreeText(java.lang.String userName, long timestamp, java.lang.String answer)` The method instantiate and adds an answer to the instance of InnerQuestionFreeText's ArrayList innerAnswersFreeText.
`java.lang.String[]` | `getAnswers()` The method returns a String Array with the text for each answer, in the ArrayList innerAnswersFreeText for this instance of InnerQuestionFreeText.
`int` | `getInnerAnswerSize()` The method returns the number of answers in the ArrayList innerAnswersFreeText.
`java.lang.String` | `getInnerQuestionText()` The method returns the Question Text.
`int` | `getQuestionID()` The method returns the questionID
`java.lang.String[]` | `getUsers()` The method returns a String Array with the username for each answer, in the ArrayList innerAnswersFreeText for this instance of InnerQuestionFreeText.
`java.lang.String` | `toString()` Method toString

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Report.InnerQuestionFreeText

    public Report.InnerQuestionFreeText()

  The default constructor for InnerQuestionFreeText

### Report.InnerQuestionFreeText

    public Report.InnerQuestionFreeText(java.lang.String innerQuestionText,
                                        int questionID)

  The Constructor creates an instance of InnerQuestionFreeText

Parameters:
  `innerQuestionText` - String
  `questionID` - int

Method Detail

### toString

    public java.lang.String toString()

  Method toString

  Returns:
    String

### addInnerAnswersFreeText

    public void addInnerAnswersFreeText(java.lang.String userName,
                                        long timestamp,
                                        java.lang.String answer)

  The method instantiate and adds an answer to the instance of InnerQuestionFreeText's ArrayList innerAnswersFreeText.

  Parameters:
    `userName` - String
    `timestamp` - long
    `answer` - String

### getInnerQuestionText

    public java.lang.String getInnerQuestionText()

  The method returns the Question Text.

  Returns:
    String

### getInnerAnswerSize

    public int getInnerAnswerSize()

  The method returns the number of answers in the ArrayList innerAnswersFreeText.

  Returns:
    int

### getAnswers

    public java.lang.String[] getAnswers()

  The method returns a String Array with the text for each answer, in the ArrayList innerAnswersFreeText for this instance of InnerQuestionFreeText.

  Returns:
    String[]

### getUsers

    public java.lang.String[] getUsers()

  The method returns a String Array with the username for each answer, in the ArrayList innerAnswersFreeText for this instance of InnerQuestionFreeText.

  Returns:
    String[]

### getQuestionID

    public int getQuestionID()

  The method returns the questionID

  Returns:
    int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD